Accéder aux playbooks Enterprise
curl --request GET \
--url https://api.devin.ai/v2/enterprise/playbooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/playbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"access": "<string>",
"account_id": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_user_name": "<string>",
"playbook_id": "<string>",
"status": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by_user_id": "<string>",
"updated_by_user_name": "<string>",
"macro": "<string>"
}
]Endpoints des playbooks
Lister les playbooks Enterprise
Liste tous les playbooks Enterprise disponibles pour l’utilisateur authentifié
GET
/
v2
/
enterprise
/
playbooks
Accéder aux playbooks Enterprise
Nécessite une API key personnelle d’administrateur Enterprise.
Récupérer tous les playbooks de votre compte Enterprise. Inclut les playbooks d’équipe et de la communauté auxquels vous avez accès.
Autorisations
API Key personnelle (apk_user_*) réservée uniquement aux administrateurs Enterprise
Réponse
200 - application/json
Réponse en cas de succès

